Subject: bug#48823: outline-minor-mode and comment outline headings

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Jun 2021 19:31:52 +0300

> I have noticed that comment type sub-headings get highlighted with a
> different colour only when
> "outline-minor-mode-highlight" is set to "override".  But then the code
> headings do not keep the
> code highlighting.  Then if you put "outline-minor-mode-highlight" to
> "append", so that that  code
> retains the code highlighting, the sub-headings levels will use a single
> highlighting colour.
>
> This outline highlighting implementation in "outline.el" has not been very
> well thought through.
> Code highlighting should be retained, whilst comment type highlighting
> should use a different colour
> according to the heading level.

I already suggested the solution for you in bug#48724, please try it.